"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
exports.__esModule = true;
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _clsx = _interopRequireDefault(require("clsx"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var React = _interopRequireWildcard(require("react"));
var _lib = require("../../lib");
var _TableCell = _interopRequireDefault(require("./TableCell"));
/**
 * A table can have a header cell.
 */
var TableHeaderCell = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _props$as = props.as,
    as = _props$as === void 0 ? 'th' : _props$as,
    className = props.className,
    sorted = props.sorted;
  var classes = (0, _clsx.default)((0, _lib.useValueAndKey)(sorted, 'sorted'), className);
  var rest = (0, _lib.getUnhandledProps)(TableHeaderCell, props);
  return /*#__PURE__*/React.createElement(_TableCell.default, (0, _extends2.default)({}, rest, {
    as: as,
    className: classes,
    ref: ref
  }));
});
TableHeaderCell.handledProps = ["as", "className", "sorted"];
TableHeaderCell.displayName = 'TableHeaderCell';
TableHeaderCell.propTypes = process.env.NODE_ENV !== "production" ? {
  /** An element type to render as (string or function). */
  as: _propTypes.default.elementType,
  /** Additional classes. */
  className: _propTypes.default.string,
  /** A header cell can be sorted in ascending or descending order. */
  sorted: _propTypes.default.oneOf(['ascending', 'descending'])
} : {};
var _default = exports.default = TableHeaderCell;